> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve a pending intent

> For intents which must be approved by the operator manually, approves the intent and posts the payment to the network.




## OpenAPI

````yaml /openapi.yaml post /intent/{id}/approve
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /intent/{id}/approve:
    post:
      tags:
        - intent
      summary: Approve a pending intent
      description: >
        For intents which must be approved by the operator manually, approves
        the intent and posts the payment to the network.
      operationId: approveIntent
      parameters:
        - name: id
          in: path
          description: The intent ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    error:
      description: Description of the error encountered from the API request
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````